DynFixedHelper (Java SE 10 & JDK 10 )
Keywords: org.omg.DynamicAny.DynFixedHelper class

Module java.corba
Package org.omg.DynamicAny

## Class DynFixedHelper

- java.lang.Object
- - org.omg.DynamicAny.DynFixedHelper

-     public abstract class DynFixedHelper
      extends Object

  DynFixed objects support the manipulation of IDL fixed values. Because IDL does not have a generic type that can represent fixed types with arbitrary number of digits and arbitrary scale, the operations use the IDL string type.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynFixedHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DynFixed` | `extract​(Any a)` |
    `static String` | `id()` |
    `static void` | `insert​(Any a, DynFixed that)` |
    `static DynFixed` | `narrow​(Object obj)` |
    `static DynFixed` | `read​(InputStream istream)` |
    `static TypeCode` | `type()` |
    `static DynFixed` | `unchecked_narrow​(Object obj)` |
    `static void` | `write​(OutputStream ostream, DynFixed value)` |

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynFixedHelper

          public DynFixedHelper()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    DynFixed that)

    - #### extract

          public static DynFixed extract​(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DynFixed read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   DynFixed value)

    - #### narrow

          public static DynFixed narrow​(Object obj)

    - #### unchecked_narrow

          public static DynFixed unchecked_narrow​(Object obj)